### Please describe the problem.

Somewhere on the forums you advised that in order to revert to an old
version of a file in a direct-mode annex, one should briefly switch to
indirect mode and check out an earlier revision.

This won’t work though if the direct-mode repo is on a VFAT
file-system, which does not support indirect mode.

If I didn’t overlook an alternative way, would it make sense to expose
this functionality in «git annex get $file»? Like «git annex get $file
--from $repo/$revision»?

Specifying revisions to get from might also be convenient for
alternative use-cases, I suppose.

Best regards,
T.

### What version of git-annex are you using? On what operating system?

git-annex 5.20140421
Linux 3.14.3

> VFAT is a crippled file system. I am not going to reimplenent all of git
> to support it. The suggested method won't work; git-annex would need
> to add a git-annex revert, etc, etc, etc ad infinitum. [[wontfix|done]] --[[Joey]]
